Package com.emc.d2fs.models.pdfrender_result

# Class PdfQueueResult

java.lang.Object
com.emc.d2fs.models.pdfrender_result.PdfQueueResult

All Implemented Interfaces:
  `Serializable`

public class PdfQueueResult extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="isError" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="isWarning" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="title" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="message" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfQueueResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  Gets the value of the message property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `Boolean`
  `isIsError()`
  Gets the value of the isError property.
  `Boolean`
  `isIsWarning()`
  Gets the value of the isWarning property.
  `void`
  `setIsError(Boolean value)`
  Sets the value of the isError property.
  `void`
  `setIsWarning(Boolean value)`
  Sets the value of the isWarning property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfQueueResult

    public PdfQueueResult()

- ## Method Details

  - ### isIsError

    public Boolean isIsError()
    Gets the value of the isError property.
    Returns:
      possible object is `Boolean`

  - ### setIsError

    public void setIsError(Boolean value)
    Sets the value of the isError property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isIsWarning

    public Boolean isIsWarning()
    Gets the value of the isWarning property.
    Returns:
      possible object is `Boolean`

  - ### setIsWarning

    public void setIsWarning(Boolean value)
    Sets the value of the isWarning property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`